OF_GET_DRM_DISPLAY_M(9)

NAME
of_get_drm_display_mode - get a drm_display_mode from devicetree

SYNOPSIS

int of_get_drm_display_mode(struct device_node * np, struct drm_display_mode * dmode, int index);

ARGUMENTS

np
    device_node with the timing specification

dmode
    will be set to the return value

index
    index into the list of display timings in devicetree

DESCRIPTION

This function is expensive and should only be used, if only one mode is to be read from DT. To get multiple modes start with of_get_display_timings and work with that instead.

RETURNS

0 on success, a negative errno code when no of videomode node was found.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT